import java.util.Properties;
import com.ibm.eNetwork.ECL.*;

public class Sample31 implements ECLAppletInterface
{

   /*********************************************************************
   * Constructor for ECLSamps
   */
   public Sample31()
   {
   }


   /*********************************************************************
   * Method called by Host On-Demand when the applet is initialized.
   * This method is defined as part of the ECLAppletInterface
   */
   public void init(ECLSession s)
   {
      //--------------------------------------------------------------------
      // Cause an 'invalid parameter' error and catch the ECLErr exception.
      // Then extract the error number and language-sensitive message text.
      //--------------------------------------------------------------------
      ECLPS   ps = s.GetPS();

      try {
        ps.SetCursorPos(999,999);  // Invalid parameter
      }
      catch (ECLErr e) {
        System.out.println("ECL error caught:  message number - " + e.GetMsgNumber());
        System.out.println("Message text: " + e.GetMsgText());
      }

   } // end sample

}
