//-------------------------------------------------------------------
// ECLPS.GetCursorPos()
// ECLPS.GetCursorPosRow()
// ECLPS.GetCursorPosCol()
//
// Display cursor position
//-------------------------------------------------------------------
import java.util.Properties;
import com.ibm.eNetwork.ECL.*;

public class Sample60 implements ECLAppletInterface
{

   /*********************************************************************
   * Constructor
   */
   public Sample60()
   {
   }


   /*********************************************************************
   * Method called by Host On-Demand when the applet is initialized.
   * This method is defined as part of the ECLAppletInterface
   */
   public void init(ECLSession s)
   {

      ECLPS ps = s.GetPS();       // PS object
      int row, col, pos;

      row = ps.GetCursorRow();    // Get cursor row
      col = ps.GetCursorCol();    // Get cursor col

      pos = ps.GetCursorPos();    // Get linear position

      System.out.println("Cursor is located at row " + row + " column " + col + " (linear position "+pos+")");
   } // end sample

}
