//-------------------------------------------------------------------
// ECLPS.SetCursorPos()
//
// Set host cursor to row 2 column 1.
//-------------------------------------------------------------------
import java.util.Properties;
import com.ibm.eNetwork.ECL.*;

public class Sample61 implements ECLAppletInterface
{

   /*********************************************************************
   * Constructor
   */
   public Sample61()
   {
   }


   /*********************************************************************
   * Method called by Host On-Demand when the applet is initialized.
   * This method is defined as part of the ECLAppletInterface
   */
   public void init(ECLSession s)
   {
      ECLPS ps = s.GetPS();       // PS object

      try {
         ps.SetCursorPos(2, 1);   // Put cursor at row 2, column 1
      } catch (ECLErr e) { System.out.println("Sample61(): " + e.GetMsgText()); return ;}
      
      System.out.println("Cursor set to row 2 column 1.");

   } // end sample

}
