//-------------------------------------------------------------------
// ECLPS.ConvertPosToRow()
// ECLPS.ConvertPosToCol()
//
// Find a string in the presentation space and display the row/column
// coordinate of its location.
//-------------------------------------------------------------------
import java.util.Properties;
import com.ibm.eNetwork.ECL.*;

public class Sample67 implements ECLAppletInterface
{

   /*********************************************************************
   * Constructor
   */
   public Sample67()
   {
   }


   /*********************************************************************
   * Method called by Host On-Demand when the applet is initialized.
   * This method is defined as part of the ECLAppletInterface
   */
   public void init(ECLSession s)
   {
      ECLPS  ps = s.GetPS();               // Get instance of ECLPS
      String findStr = new String("IBM");  // String to search for
      int    pos;                          // Position of search result

      pos = ps.SearchText(findStr, ECLPS.SEARCH_FORWARD);
      if (pos != 0)
      {
         try {
            System.out.println("Occurance of search string found at row "+ ps.ConvertPosToRow(pos) + 
                                                                 ", column " + ps.ConvertPosToCol(pos));
         } catch (ECLErr e) {
            System.out.println("Sample63(): " + e.GetMsgText());
         }
      }
   } // end sample

}
