//-------------------------------------------------------------------
// ECLXfer.SendFile()
//
// Send a file to a VM/CMS host with ASCII translation.
//-------------------------------------------------------------------
import java.util.Properties;
import com.ibm.eNetwork.ECL.*;

public class Sample101 implements ECLAppletInterface
{

   /*********************************************************************
   * Constructor
   */
   public Sample101()
   {
   }


   /*********************************************************************
   * Method called by Host On-Demand when the applet is initialized.
   * This method is defined as part of the ECLAppletInterface
   */
   public void init(ECLSession s)
   {

      ECLXfer  xfer = s.GetXfer();        // Xfer object

      System.out.println("Sending file...");
      
      try {
         // Send 'C:\autoexec.bat' to host as 'temp text a'
         xfer.SendFile("c:\\autoexec.bat", "temp text a", "(ASCII CRLF");
      }
      catch (ECLErr e) {
         System.out.println("Sample101: " + e.GetMsgText());
         return;
      }

      System.out.println("File transfer sucessfull.");

   } // end sample

}
