//-------------------------------------------------------------------
// ECLXfer.ReceiveFile()
//
// Receive file from a VM/CMS host with ASCII translation.
//-------------------------------------------------------------------
import java.util.Properties;
import com.ibm.eNetwork.ECL.*;

public class Sample102 implements ECLAppletInterface
{

   /*********************************************************************
   * Constructor
   */
   public Sample102()
   {
   }


   /*********************************************************************
   * Method called by Host On-Demand when the applet is initialized.
   * This method is defined as part of the ECLAppletInterface
   */
   public void init(ECLSession s)
   {

      ECLXfer  xfer = s.GetXfer();        // Xfer object

      System.out.println("Receiving file...");
      
      try {
         // Receive host file 'temp text a' as 'C:\temp.txt'
         xfer.ReceiveFile("temp text a", "c:\\temp.txt", "(ASCII CRLF");
      }
      catch (ECLErr e) {
         System.out.println("ECL Error: " + e.GetMsgText());
         return;
      }

      System.out.println("File transfer sucessfull.");

   } // end sample

}
