//-------------------------------------------------------------------
// ECLPS.GetSize()
// ECLPS.GetSizeRows()
// ECLPS.GetSizeCols()
//
// Display dimensions of presentation space
//-------------------------------------------------------------------
import java.util.Properties;
import com.ibm.eNetwork.ECL.*;

public class Sample59 implements ECLAppletInterface
{

   /*********************************************************************
   * Constructor
   */
   public Sample59()
   {
   }


   /*********************************************************************
   * Method called by Host On-Demand when the applet is initialized.
   * This method is defined as part of the ECLAppletInterface
   */
   public void init(ECLSession s)
   {

      ECLPS ps;                  // PS object
      int rows, cols, len;

      ps = s.GetPS();
      rows = ps.GetSizeRows();   // Get number of rows
      cols = ps.GetSizeCols();   // Get number of cols

      len = ps.GetSize();        // Get total size

      System.out.println("Presenation space has " + rows + " rows and " + cols + " columns ("+ len + " total length)");

   } // end sample

}
